POST/shorts.v1alpha1.IndustryIntelligenceService/GetIndustryIntelligence

GetIndustryIntelligence

Get imported, cited industry intelligence facts for an industry.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object
industrystring

optional exact industry filter (proto string)

recordLimitinteger <int32>

default 50, maximum 200 (proto int32)

stockCodestring

optional exact stock filter (per-stock evidence dossier) (proto string)

Responses

200Success
application/json
object
entityTotalsarray

(proto shorts.v1alpha1.IndustryIntelligenceEntityTotal)

Array Items:
generatedAtstring <date-time>

(proto google.protobuf.Timestamp)

industrystring

(proto string)

recordsarray

(proto shorts.v1alpha1.IndustryIntelligenceRecord)

Array Items:
sourceAttributionstring

(proto string)

sourcesarray

(proto shorts.v1alpha1.IndustryIntelligenceSource)

Array Items:
timeBucketsarray

(proto shorts.v1alpha1.IndustryIntelligenceTimeBucket)

Array Items:
defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.IndustryIntelligenceService/GetIndustryIntelligence" \
  -H "Content-Type: application/json" \
  -d '{
  "industry": "string",
  "recordLimit": 0,
  "stockCode": "string"
}'